Computer Actions
Scroll
Scroll the mouse wheel up or down.
POST
/
computers
/
{id}
/
scroll
Scroll
curl --request POST \
--url https://www.orgo.ai/api/computers/{id}/scroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direction": "down",
"amount": 3
}
'import requests
url = "https://www.orgo.ai/api/computers/{id}/scroll"
payload = {
"direction": "down",
"amount": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({direction: 'down', amount: 3})
};
fetch('https://www.orgo.ai/api/computers/{id}/scroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}Scrolls the mouse wheel up or down at the cursor’s current position (or at
x, y if provided).
Path parameters
string
required
Computer ID (UUID).
Body parameters
string
default:"down"
Scroll direction:
up or down.integer
default:"1"
Number of scroll clicks.
integer
Optional X coordinate to move the cursor to before scrolling.
integer
Optional Y coordinate to move the cursor to before scrolling.
Response
boolean
true if the scroll was performed.string
Always
scroll.Example
# Scroll down 3 clicks
curl -X POST https://www.orgo.ai/api/computers/a3bb189e-8bf9-3888-9912-ace4e6543002/scroll \
-H "Authorization: Bearer $ORGO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"direction": "down", "amount": 3}'
# Scroll up 10 clicks
curl -X POST https://www.orgo.ai/api/computers/a3bb189e-8bf9-3888-9912-ace4e6543002/scroll \
-H "Authorization: Bearer $ORGO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"direction": "up", "amount": 10}'
import requests
# Scroll down
requests.post(
f"https://www.orgo.ai/api/computers/{computer_id}/scroll",
headers={"Authorization": f"Bearer {api_key}", "Content-Type": "application/json"},
json={"direction": "down", "amount": 3}
)
await fetch(`https://www.orgo.ai/api/computers/${computerId}/scroll`, {
method: 'POST',
headers: {
'Authorization': `Bearer ${apiKey}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({ direction: 'down', amount: 3 })
});
Response
{
"success": true,
"action": "scroll",
"details": { "direction": "down", "amount": 3 }
}
Errors
| Status | Meaning |
|---|---|
400 | Computer instance not available. |
401 | Missing or invalid API key. |
403 | You do not have access to this computer. |
404 | Computer not found. |
500 | Upstream desktop agent failure. |
Authorizations
API key authentication. Get your key at orgo.ai/workspaces
Path Parameters
Computer ID
Body
application/json
Response
Scroll performed
Example:
true
⌘I
Scroll
